Changes

Jump to navigation Jump to search
{{Warning|Since the initial success with producing a bundle, two things have changed on the Macports end.
* gcc-4.7 must be used, as some dependencies are no longer supported by gcc-4.5. To look for ports using a <code>gcc45</code> variant, type <code>port rdeps gcc45</code> at the terminal's command line.
* The <code>sudo port mdmg octave-devel @3.6.4+atlas+docs+fltk+gcc47</code> command fails when bundling the <code>xorg-libX11</code> port. To identify the why x11 is needed the command <code>port rdeps octave-devel @3.6.4_3+atlas+fltk+gcc47-x11+no_x11</code> may be used. There is one dependency (<code>Transfig</code>) for which <code>x11</code> is not optional. To resolve this, the <code>octave-devel</code> Portfile must be modified and the <code>Transfig</code> run-time dependency removed. This means that Xfig output is not available using Octave's <code>print()</code> function/command.
* While editing the Portfile for <code>octave-devel</code>, the references to <code>metis</code> should also be removed to avoid a GPL violation.
 This means that Xfig output is not available using Octave's <code>print()</code> function/command.}}
==Install MacPorts==
364

edits

Navigation menu